glibmm: Gio::DBus::ArgInfo Class Reference

glibmm 2.38.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gio::DBus::ArgInfo Class Reference
D-Bus API

ArgInfo - Stores information about an argument for a method or a signal. More...

`#include <giomm/dbusintrospection.h>`

## Public Member Functions
void | reference () const
| Increment the reference count for this object. More...
void | unreference () const
| Decrement the reference count for this object. More...
GDBusArgInfo* | gobj ()
| Provides access to the underlying C instance. More...
const GDBusArgInfo* | gobj () const
| Provides access to the underlying C instance. More...
GDBusArgInfo* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...

## Protected Member Functions
| ArgInfo ()
void | operator delete (void*, std::size_t)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gio::DBus::ArgInfo > | wrap (GDBusArgInfo* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

ArgInfo - Stores information about an argument for a method or a signal.

Since glibmm 2.28:

## Constructor & Destructor Documentation

Gio::DBus::ArgInfo::ArgInfo | ( |  | ) |
| protected

## Member Function Documentation

GDBusArgInfo* Gio::DBus::ArgInfo::gobj | ( |  | ) |

Provides access to the underlying C instance.

const GDBusArgInfo* Gio::DBus::ArgInfo::gobj | ( |  | ) | const

Provides access to the underlying C instance.

GDBusArgInfo* Gio::DBus::ArgInfo::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

void Gio::DBus::ArgInfo::operator delete | ( | void * | ,
|  | std::size_t |
| ) |  |
| protected

void Gio::DBus::ArgInfo::reference | ( |  | ) | const

Increment the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

void Gio::DBus::ArgInfo::unreference | ( |  | ) | const

Decrement the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

## Friends And Related Function Documentation

Glib::RefPtr< Gio::DBus::ArgInfo > wrap | ( | GDBusArgInfo * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.